<?php
require_once ("VLSIuser.php");
$jmsess="ulozEDITNEWS";
session_start();

if (isset($_GET['del'])&& $_GET['del']==1){
//mazani projektu ************************************************


if (!isset($_GET['id'])){unseting($jmsess);die("Doslo k chybě</body></html>");}
$id=$_GET['id'];
// kontrola zda je id cislo
if (is_numeric($id)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $id=(int)$id;
}else{unseting($jmsess);die("Doslo k chybě nebo pokusu o utok</body></html>");}

$dotaz="DELETE FROM board WHERE (id=".$id." AND zadal='".$user['username']."')";

//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
 
 if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}
unseting($jmsess);

// delete projektu
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=2");exit;}
}
//**************************************************************************
//********* update projektu

// je odeslano????
if (!isset($_POST['odeslane'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if ($_POST['odeslane']!="Odeslat"){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

if (!isset($_POST['id'])){unseting($jmsess);die("Doslo k chybě</body></html>");}
$id=$_POST['id'];
// kontrola zda je id cislo
if (is_numeric($id)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $id=(int)$id;
}else{unseting($jmsess);die("Doslo k chybě nebo pokusu o utok</body></html>");}


//kontrola spravnosti prichozich dat
if (!isset($_POST['to_day'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if (!isset($_POST['to_month'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
if (!isset($_POST['to_year'])){unseting($jmsess);header ("Location: edit.php?stav=3");exit;}
$to_day=$_POST['to_day'];
$to_month=$_POST['to_month'];
$to_year=$_POST['to_year'];
// kontrola zda jsou to cisla
if (is_numeric($to_day) && is_numeric($to_month) && is_numeric($to_year)){
//pretypovani na int, kdyby cislo bylo jineho tvaru
    $to_day=(int)$to_day;
    $to_month=(int)$to_month;
    $to_year=(int)$to_year;
}else{unseting($jmsess);header ("Location: edit.php?stav=3");exit;}

//kontrola spravnosti prichozich dat
if (isset($_POST['nazev'])){$nazev=trim($_POST['nazev']);}else {$nazev="";}
if (isset($_POST['popis'])){$popis=trim($_POST['popis']);}else {$popis="";}

//prisli pripustne hodnoty.... kontrola delek pro db
$is_chyba=false;
$chyba="to_day=$to_day&to_month=$to_month&to_year=$to_year&id=$id";
if (strlen($nazev)==0){$is_chyba=true;$chyba.="&chybinazev=true";}
if (strlen($nazev)>320){$is_chyba=true;$chyba.="&nazevchyba=true";}
if(Time()>MkTime(0,0,0,$to_month,$to_day,$to_year)){$is_chyba=true;$chyba.="&datumchyba=true";}

if($slashes==1){
$chyba.="&nazev=".stripslashes($nazev)."&popis=".stripslashes($popis);}
else{$chyba.="&nazev=$nazev&popis=$popis";}

if ($is_chyba){header ("Location: editnews.php?".SID."&$chyba");exit;}

// pokud nenastala chyba, jde to do db
if ($slashes==0){
$nazev=addslashes($nazev);
$popis=addslashes($popis);
}


$from_date = Date("Y-m-d"); // od
$to_date = Date("Y-m-d", MkTime(0,0,0,$to_month,$to_day,$to_year));// do

$dotaz="UPDATE board SET nazev='".$nazev."', to_date='".$to_date."', from_date='".$from_date."'";
if($popis==""){$dotaz=$dotaz.", body=null";}else{$dotaz=$dotaz.", body='".$popis."'";}
$dotaz=$dotaz." WHERE (id=".$id." AND zadal='".$user['username']."')";



//pripojeni do DB
if(!file_exists(db_cesta."dbconn.php")){unseting($jmsess);die("Nelze se pripojit k db.");} //kontrola zda dany soubor existuje
 require db_cesta."dbconn.php";
 
 

if (!isset($_SESSION[$jmsess]) || $_SESSION[$jmsess]==false){unseting($jmsess);
  header ("Location: edit.php?stav=5");exit();}

  unseting($jmsess);

 
 
// update projektu
$res=$db->query ($dotaz);
// zda sme z db dostali kloudny vysledek
if (gettype($res) != 'resource') {
     $db->close();
     header ("Location: edit.php?stav=4");exit;
	} else {
$db->close();
header ("Location: edit.php?stav=1");exit;}
?>
